Execute a workflow
POST
/forge/runs
const url = 'https://shoehorn.example.com/api/v1/forge/runs';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"mold_slug":"example","parameters":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shoehorn.example.com/api/v1/forge/runs \ --header 'Content-Type: application/json' \ --data '{ "mold_slug": "example", "parameters": {} }'Creates and starts a new workflow run from a mold.
Request Body required
Section titled “Request Body required ” Media type application/json
object
mold_slug
required
string
parameters
required
User-provided parameter values
object
Example generated
{ "mold_slug": "example", "parameters": {}}Responses
Section titled “ Responses ”Run created and started